package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsOrderModel = (*customFsOrderModel)(nil)

type (
	// FsOrderModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsOrderModel.
	FsOrderModel interface {
		fsOrderModel
	}

	customFsOrderModel struct {
		*defaultFsOrderModel
	}
)

// NewFsOrderModel returns a model for the database table.
func NewFsOrderModel(conn sqlx.SqlConn) FsOrderModel {
	return &customFsOrderModel{
		defaultFsOrderModel: newFsOrderModel(conn),
	}
}
