package model

import (
	"gorm.io/gorm"
)

type FsProductTemplateTags struct {
	Id       int64   `gorm:"primary_key" json:"id"` // ID
	Title    *string `gorm:"-" json:"title"`        // 标题
	Status   *int64  `gorm:"-" json:"status"`       // 状态 1：可用
	CreateAt *int64  `gorm:"-" json:"create_at"`    // 创建时间
}
type FsProductTemplateTagsModel struct{ db *gorm.DB }

func NewFsProductTemplateTagsModel(db *gorm.DB) *FsProductTemplateTagsModel {
	return &FsProductTemplateTagsModel{db}
}
